use super::super::types::OverlaySlot;
use tool_helper::{Error, format_if_error, Output};
use std::io::Write;

const DEFAULT_LD_SCRIPT:&'static str = r#"
__heap_base = __bss_end;
"#;

pub fn write(output: &mut Output, overlay_desc: &Vec<OverlaySlot>) -> Result<(), Error> {
    if overlay_desc.is_empty() {
        return write_default(output);
    }

    format_if_error!(write!(output, "Dino\n"), "Writing test output failed with: {error_text}")?;
    return Ok(());
}

fn write_default(output: &mut Output) -> Result<(), Error> {
    format_if_error!(output.write(DEFAULT_LD_SCRIPT.as_bytes()), "Writing default LD Script failed with: {error_text}")?;
    Ok(())
}