use mkoverlay::types::{OverlaySection, OverlaySlot};
use tool_helper::{Error, open_output};

fn generate_file() -> Vec<OverlaySlot> {
    let mut slots   = Vec::new();
    let mut slot    = OverlaySlot::new("slot_0".to_owned(), String::new());
    let mut section = OverlaySection::new("main_area".to_owned());

    section.add_file_pattern("bin/PSX-release/src/*.o".to_owned());

    slot.add_section(section);
    slots.push(slot);

    slots
}

fn run_main() -> Result<(), Error> {
    let     input  = generate_file();
    let mut output = open_output(None)?;

    mkoverlay::creator::ldscript::write(&mut output, &input)
}

fn main() {
    match run_main() {
        Ok(())     => println!("Planschbecken!!"),
        Err(error) => println!("{}", error),
    }
}