#[derive(Debug)]
pub struct OverlaySection {
    name:         String,
    file_pattern: Vec<String>
}

impl OverlaySection {
    pub fn new(name: String) -> OverlaySection {
        OverlaySection{name, file_pattern: Vec::new()}
    }

    pub fn add_file_pattern(&mut self, file_pattern: String) {
        self.file_pattern.push(file_pattern);
    }
}

#[derive(Debug)]
pub struct OverlaySlot {
    name:      String,
    start_adr: String,
    sections:  Vec<OverlaySection>
}

impl OverlaySlot {
    pub fn new(name: String, start_adr: String) -> OverlaySlot {
        OverlaySlot{name, start_adr, sections: Vec::new()}
    }

    pub fn add_section(&mut self, section: OverlaySection) {
        self.sections.push(section);
    }
}